Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
types
/
{operationType}
/
prepare
Prepare financial operation
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/prepare \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceAccount": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "destinationAccount": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "target": {
    "walletId": "<string>",
    "iban": "<string>",
    "name": "<string>"
  },
  "amount": {
    "value": "<string>",
    "scale": 123,
    "currency": "<string>"
  },
  "beneficiaryId": "<string>",
  "beneficiaryIban": "<string>",
  "beneficiaryName": "<string>",
  "reference": "<string>",
  "description": "<string>",
  "currency": "<string>",
  "type": "<string>",
  "consent": {
    "consentReference": "<string>"
  },
  "merchantDetails": {
    "merchantId": "<string>",
    "merchantName": "<string>",
    "merchantCategory": "<string>"
  },
  "customerDetails": {
    "customerId": "<string>",
    "customerName": "<string>",
    "customerEmail": "<string>"
  },
  "assetId": "<string>",
  "assetSubUnitId": "<string>"
}
'

Sample cURL

curl --request POST \
  --url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/prepare' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-Id: <TENANT_ID>' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: <USER_AGENT>' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'platform: Web' \
  --header 'deviceId: <DEVICE_ID>' \
  --data '{
    "type": "{operationType}",
    "amount": {
      "value": 10,
      "currency": "EUR"
    }
  }'

Headers

X-Tenant-ID
string
X-User-ID
string

Path Parameters

accountId
string
required
operationType
string
required

Body

application/json
sourceAccount
object
destinationAccount
object
target
object
amount
object
beneficiaryId
string
beneficiaryIban
string
beneficiaryName
string
reference
string
description
string
currency
string
type
string
merchantDetails
object
customerDetails
object
assetId
string
assetSubUnitId
string

Response

200

OK